NodeShape (Freeplane API 1.11.10)
Description: declaration: package: org.freeplane.api, enum: NodeShape

Package org.freeplane.api

# Enum Class NodeShape

java.lang.Object
java.lang.Enum<NodeShape>
org.freeplane.api.NodeShape

All Implemented Interfaces:
  `Serializable`, `Comparable<NodeShape>`, `Constable`

public enum NodeShape extends Enum<NodeShape>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AS_PARENT`
  `BUBBLE`
  `COMBINED`
  `FORK`
  `NARROW_HEXAGON`
  `OVAL`
  `RECTANGLE`
  `WIDE_HEXAGON`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NodeShape`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NodeShape[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORK

    public static final NodeShape FORK

  - ### BUBBLE

    public static final NodeShape BUBBLE

  - ### OVAL

    public static final NodeShape OVAL

  - ### RECTANGLE

    public static final NodeShape RECTANGLE

  - ### WIDE_HEXAGON

    public static final NodeShape WIDE_HEXAGON

  - ### NARROW_HEXAGON

    public static final NodeShape NARROW_HEXAGON

  - ### AS_PARENT

    public static final NodeShape AS_PARENT

  - ### COMBINED

    public static final NodeShape COMBINED

- ## Method Details

  - ### values

    public static NodeShape[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NodeShape valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null